Bug 4639 - Fix preference order of fonts in fonts.conf for Greek
Summary: Fix preference order of fonts in fonts.conf for Greek
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2_1
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-29 14:36 UTC by Simos Xenitellis
Modified: 2005-10-04 19:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix order in preference of fonts, in /etc/fonts/fonts.conf to support Greek (1.79 KB, patch)
2005-09-29 14:41 UTC, Simos Xenitellis
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Simos Xenitellis 2005-09-29 14:36:14 UTC
The current order of preference in fonts.conf causes the Linux desktop to appear as
http://bugzilla.ubuntu.com/attachment.cgi?id=3690
when showing Greek.

This happens because the current order of preference for fonts places three
asian font families high enough, so glyphs from those fonts are shown. 
Those fonts are not suitable to display modern Greek.

There has been a discussion at the fontconfig mailing list, though I cannot
reference it due to a bug in the mail archiving.
The conclusion was to create a patch to fix the order of preference of the fonts.

Patch is included below.
Comment 1 Simos Xenitellis 2005-09-29 14:41:35 UTC
Created attachment 3435 [details] [review]
Fix order in preference of fonts, in /etc/fonts/fonts.conf to support Greek

The patch 
1. adds the MgOpen fonts (MgOpen Canonica for serif, MgOpen Moderna for sans
serif).
2. elevates FreeSans/FreeSerif/FreeMono above the asian fonts (CJK)

The patch puts MgOpen/FreeFonts just above the asian fonts, so it does not
affect other fonts of choice that may be present (such as Bitstream Vera or the
MS fonts).
Comment 2 Patrick Lam 2005-10-05 12:43:33 UTC
I've applied this patch.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.